tw.com.prolific.pl2303multilib

## Enum PL2303MultiLib.FlowControl

- java.lang.Object
- - java.lang.Enum<PL2303MultiLib.FlowControl>
  - - tw.com.prolific.pl2303multilib.PL2303MultiLib.FlowControl

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<PL2303MultiLib.FlowControl>
  Enclosing class:
    PL2303MultiLib

      public static enum PL2303MultiLib.FlowControl
      extends java.lang.Enum<PL2303MultiLib.FlowControl>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `DTRDSR`
    `OFF`
    `RFRCTS`
    `RTSCTS`
    `RTSCTSDTRDSR`
    `XONXOFF`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static PL2303MultiLib.FlowControl` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static PL2303MultiLib.FlowControl[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### OFF

          public static final PL2303MultiLib.FlowControl OFF

    - #### RTSCTS

          public static final PL2303MultiLib.FlowControl RTSCTS

    - #### RFRCTS

          public static final PL2303MultiLib.FlowControl RFRCTS

    - #### DTRDSR

          public static final PL2303MultiLib.FlowControl DTRDSR

    - #### RTSCTSDTRDSR

          public static final PL2303MultiLib.FlowControl RTSCTSDTRDSR

    - #### XONXOFF

          public static final PL2303MultiLib.FlowControl XONXOFF

  - ### Method Detail

    - #### values

          public static PL2303MultiLib.FlowControl[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (PL2303MultiLib.FlowControl c : PL2303MultiLib.FlowControl.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static PL2303MultiLib.FlowControl valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null